Skip to main content
PUT
Replace exclusive sponsored brand campaign bids.

Autorisations

Authorization
string
header
requis

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Paramètres de chemin

campaign_id
string<uuid>
requis

The ID of the campaign.

Paramètres de requête

vendor_id
string
requis

The ID of the vendor.

Minimum string length: 1

Corps

application/json

Request body for replacing public exclusive sponsored brand bids.

bids
PublicCreateSponsoredBrandBid · object[]
requis

An array of bids for this campaign.

Required array length: 1 - 500 elements
slotId
string
requis

The external slot ID where the exclusive sponsored brand campaign is shown.

Minimum string length: 1
content
Content · object
requis

Dynamic content validated against the slot's JSON template.

position
integer | null

The rank the ad will have in the auction. Omit it to keep the campaign's current rank.

Plage requise: 1 <= x <= 20

Réponse

Successful Response